// ===================================================================
// === Open SUIT JavaScript Library
// ===================================================================
// === This library is used by the Menu component
// ===================================================================

function Menu_getParentSubMenu(elt)
{
	elt = elt.parentNode;
	while(elt)
	{
		if(elt.nodeName == "LI" && hasClass(elt, "osuit-SubMenuItem"))
			return elt;
		elt = elt.parentNode;
	}
	return null;
}
function Menu_focus(elt)
{
	// TODO: this has to be recursive for menu deeper than 1
	var li = Menu_getParentSubMenu(elt);
	addClass(li, "focus");
	
	if(li.blurMenuTimeout)
	{
		// --- maintain parent
		clearTimeout(li.blurMenuTimeout);
		li.blurMenuTimeout = null;
	}
}
function Menu_blur(elt)
{
	// TODO: this has to be recursive for menu deeper than 1
	var li = Menu_getParentSubMenu(elt);
	if(li.blurMenuTimeout)
	{
		clearTimeout(li.blurMenuTimeout);
		li.blurMenuTimeout = null;
	}
	// --- blur parent in a while (if not maintained)
	li.blurMenuTimeout = setTimeout(function(){
		removeClass(li, "focus");
		li.blurMenuTimeout = null;
	}, 50);
}