/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.html.form;


public class FormRenderingContext
{
	protected BaseForm form;
	protected boolean oddField = false;
//	protected ValidationErrors validation;
	protected boolean editable;
	protected boolean editMode;
	protected FormSubmitContext submitContext;
	protected boolean hasUploads = false;
	
	public void setHasUploads()
	{
		this.hasUploads = true;
	}
	public boolean isEditable()
    {
    	return editable;
    }
	public boolean isEditMode()
    {
    	return editMode;
    }
	public BaseForm getForm()
    {
    	return form;
    }
	public boolean isOddField()
    {
    	return oddField;
    }
	public FormSubmitContext getSubmitContext()
    {
    	return submitContext;
    }
}
